﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Ninject.Core;
using WebFormsMVPExample.Repositories;
using WebFormsMVPExample.Presenters;

namespace WebFormsMVPExample
{
    public class MVPNinjectModule : StandardModule
    {
        public override void Load()
        {
            Bind<CategorySelectionPresenter>().ToSelf();
            Bind<ActivityCategoryDetailsPresenter>().ToSelf();
            Bind<ComponentCategoryDetailsPresenter>().ToSelf();
            Bind<CategoryRepository>().ToSelf();
        }
    }
}