﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using WebFormsMVPExample.Models;

namespace WebFormsMVPExample.ViewModels
{
    public class CategorySelectionViewModel
    {
        public CategorySelectionViewModel()
        { }

        public CategorySelectionViewModel(IList<Category> categories)
        {
            this.Categories = categories;
        }

        private IList<Category> categories;
        public IList<Category> Categories 
        {
            get
            {
                return categories;
            }
            private set
            {
                categories = value;

                if (categories[0].Id != -1)
                {
                    Category category = new Category();
                    category.Id = -1;
                    category.Name = "-- Select a Category --";
                    categories.Insert(0, category);
                }
            }
        }
    }
}